### Method

# Clutter Actor get_height

#### Declaration [src]

    gfloat
    clutter_actor_get_height (
      ClutterActor* self
    )

#### Description [src]

Retrieves the height of a `ClutterActor`.

If the actor has a valid allocation, this function will return the height of the allocated area given to the actor.

If the actor does not have a valid allocation, this function will return the actor’s natural height, that is the preferred height of the actor.

If you care whether you get the preferred height or the height that has been assigned to the actor, you should probably call a different function like `clutter_actor_get_allocation_box()` to retrieve the allocated size `clutter_actor_get_preferred_height()` to retrieve the preferred height.

If an actor has a fixed height, for instance a height that has been assigned using `clutter_actor_set_height()`, the height returned will be the same value.

Gets property | `Clutter.Actor:height`

#### Return value

Type: `gfloat`

The height of the actor, in pixels.